import serviceConfig, { ServiceConfig } from "./configs/service-config.js";
import systemConfig from "./configs/system-config.js";

class Config {
    
    /** 服务配置 */
    service: ServiceConfig = serviceConfig;
    
    /** 系统配置 */
    system = systemConfig;

    // 代理属性以便直接访问数据库配置
    get database() {
        return this.service.database;
    }

}

export default new Config();